Bug 147467 - "Edit -> Find -> Search" dialog, text entry fields vanish
"Edit -> Find -> Search" dialog, text entry fields vanish
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-02-08 05:54 EST by Mike A. Harris
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-03 10:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
thunderbird-search-dialog-no-text-entry-fields.png (175.59 KB, image/png)
2005-02-08 06:05 EST, Mike A. Harris
no flags Details
thunderbird-search-dialog-half-text-entry-fields.png (176.15 KB, image/png)
2005-02-08 06:05 EST, Mike A. Harris
no flags Details
thunderbird-search-dialog-visible-and-working-text-entry-fields.png (176.96 KB, image/png)
2005-02-08 06:07 EST, Mike A. Harris
no flags Details

  None (edit)
Description Mike A. Harris 2005-02-08 05:54:03 EST
Thunderbird's "Edit -> Find -> Search Messages" dialog box has
an unfortunate UI layout problem that can make the dialog very
confusing, and in my case made the feature totally unuseable
until I figured out what the bug was.

I didn't report this earlier, because I couldn't get even one
other person to reproduce it on any version of thunderbird, and
it worked ok for me on new user account, so it was truly puzzling,
however I just finally figured out the cause of the bug.

thunderbird lets you resize the search messages dialog box, which
is an ok thing, however it lets you shrink the dialog too much,
which can cause some of the UI elements to become totally hidden.

In particular, the text entry fields where you would enter your
search criterion vanish completely, and there is no visual indication
that the window is shrunk too far, or that you've done anything

Steps to reproduce:
1) Start up thunderbird and click on a mail folder
2) Go to "Edit -> Find -> Search Messages"

at this point you can do one of two things to reproduce the problem
I have experienced:

- Using the window border, shrink the window slowly, and watch
  the text entry fields vanish.  Keep shrinking it, and you'll
  end up with a dialog window that has no text entry fields, and
  there is no obvious indicator to the user that this is due to
  the window being shrunk.


- There is a pane divider in the middle of the dialog that you can
  slide up and down to divide the dialog box horizontally.  It is
  directly underneath the buttons "More" and "Fewer", but above
  the "Subject", "Sender", etc. headings that results are placed
  under.  If you even notice that it is there (I never did), you
  can grab it with the mouse and slide it upward until the text
  entry fields are completely hidden, with no visual cue that this
  has happened.

I'm not sure how or when this unfortunate accident happened to
me, but I did not resize the window intentionally, rather one day
when trying to use the search messages feature, all of a sudden,
the dialog text entry boxes were just no longer there.  ;o)

I tried restarting the application like any user would do, and they
never came back.  I was rather baffled, and did not see anything
obvious in the dialog that would suggest the window needed resizing,
or the pane needed moving to make the editable elements visible.

Now that I figured it out, I feel a bit silly, but I've thought
about it, and I believe this is a real dialog bug, because a friendly
UI should never hide elements like this without a way of the user

I suspect it is probably a simple issue of just reworking the dialog
box layout to ensure the text entry widgets can never be hidden
when the window is resized or the pane divider is moved.
Comment 1 Mike A. Harris 2005-02-08 05:54:51 EST
oops, bugzilla submitted this before I was ready.  ;)
Comment 2 Mike A. Harris 2005-02-08 06:05:08 EST
Created attachment 110784 [details]
Comment 3 Mike A. Harris 2005-02-08 06:05:51 EST
Created attachment 110785 [details]
Comment 4 Mike A. Harris 2005-02-08 06:07:04 EST
Created attachment 110786 [details]
Comment 5 Mike A. Harris 2005-02-08 06:11:56 EST
The first screenshot, is the one without the text entry fields,
then after I discovered the problem (took me 2+ months <grin>),
I dragged the pane separator slowly showing half the text entry
field exposed, and finally the third shot shows the dialog in
useable form.

This problem also occurs under the Windows XP version of thunderbird
as well, so I'm assuming it is a generic XUL related thing perhaps,
but that's way over my head...

Let me know if any additional details are required.
Comment 7 Matthew Miller 2006-07-10 19:17:57 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.